#ifndef __DFILER_H__
#define __DFILER_H__

bool Init(void);
void End(void);
int CountDir(char *d);
void SeekDir(char *d, char lst[ENTRY_NUM_MAX][ENTRY_NAME_MAX]);
int comp_func(const void *a, const void *b);
void BaseName(char *dest, char *src, size_t n);
int SplitBySpace(char *str, char token[][TOKEN_LENGTH], int token_num);
bool MainLoop(void);
void FillScreen(SDL_Color color);
bool PopupFileInfo(int w, int h, char *fn);
bool PopupDiskInfo(int w, int h, char *d);
bool CopyFile(char *dest, char *src);
bool CopyDirEntry(char *destdir, char *srcdir, char *entry);
bool MoveDirEntry(char *destdir, char *srcdir, char *entry);
bool DeleteDirEntry(char *d, char *entry);
void Usage(void);

#endif
